# Uses of Interface
javax.sound.midi.ControllerEventListener

Packages that use ControllerEventListener
Package
Description
javax.sound.midi
Provides interfaces and classes for I/O, sequencing, and synthesis of MIDI (Musical Instrument Digital Interface) data.

## Uses of ControllerEventListener in javax.sound.midi

Methods in javax.sound.midi with parameters of type ControllerEventListener
Modifier and Type
Method
Description
`int[]`
Sequencer.`addControllerEventListener(ControllerEventListener listener, int[] controllers)`
Registers a controller event listener to receive notification whenever the sequencer processes a control-change event of the requested type or types.
`int[]`
Sequencer.`removeControllerEventListener(ControllerEventListener listener, int[] controllers)`
Removes a controller event listener's interest in one or more types of controller event.